#define scmrev 20141024
%define rel 5

Name:           lxmenu-data
Version:        0.1.5
Summary:        Freedesktop.org application menu definition files for the LXQt desktop
License:        LGPLv2+
Group:          Graphical desktop/KDE
URL:            https://lxqt.org/
%if 0%{?scmrev:1}
# rm -rf lxmenu-data && git clone git://git.lxde.org/git/lxde/lxmenu-data.git && cd lxmenu-data/ 
# git archive --prefix=lxmenu-data-$(date +%Y%m%d)/ --format=tar HEAD | xz > ../lxmenu-data-$(date +%Y%m%d).tar.xz
Release:        %mkrel -c %{scmrev} %rel
Source0:        %{name}-%{scmrev}.tar.xz
%else
Release:        %mkrel %rel
Source0:        https://github.com/lxde/%{name}/archive/%{version}/%{name}-%{version}.tar.gz
%endif
Patch0:         lxmenu-data-merge-master-branch-20210304.patch

BuildArch:      noarch
BuildRequires:  cmake
BuildRequires:  pkgconfig(lxqt)
BuildRequires:  pkgconfig(lxqt-globalkeys)
BuildRequires:  intltool

%description
Freedesktop.org application menu definition files for the LXQt desktop.

%prep
%if 0%{?scmrev:1}
%setup -q -n %{name}-%{scmrev}
%else
%setup -q
%endif
%autopatch -p1

%build
NOCONFIGURE=1 ./autogen.sh
%configure --sysconfdir=%{_sysconfdir}
%__make

%install
%make_install

%files
%doc README
%license COPYING
%{_sysconfdir}/xdg/menus/lxde-applications.menu
%{_datadir}/desktop-directories/lxde*.directory


%changelog
* Mon Jun 05 2023 daviddavid <daviddavid> 0.1.5-5.mga9
+ Revision: 1960952
- sync with current master branch as of git20210304

* Wed Apr 06 2022 umeabot <umeabot> 0.1.5-4.mga9
+ Revision: 1845475
- Mageia 9 Mass Rebuild
+ danf <danf>
- Switch URLs from http: to https:

* Wed Feb 12 2020 umeabot <umeabot> 0.1.5-3.mga8
+ Revision: 1491373
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%configure2_5x

* Tue Sep 18 2018 umeabot <umeabot> 0.1.5-2.mga7
+ Revision: 1263337
- Mageia 7 Mass Rebuild

* Sun Nov 13 2016 daviddavid <daviddavid> 0.1.5-1.mga6
+ Revision: 1067048
- new version: 0.1.5

* Sat Feb 20 2016 umeabot <umeabot> 0.1.4-3.mga6
+ Revision: 971839
- Mageia 6 Mass Rebuild

* Wed Oct 21 2015 tv <tv> 0.1.4-2.mga6
+ Revision: 893162
- make it noarch thus fixing empty debuginfo

* Sun Feb 22 2015 doktor5000 <doktor5000> 0.1.4-1.mga5
+ Revision: 816447
- new version 0.1.4, now using upstream version numbering
- remove conditional handling for QT5 as QT4 is not supported anymore
- adjusted BuildRequires from pkgconfig(lxqt-qt5) to pkgconfig(lxqt)
- use new URL http://downloads.lxqt.org/lxqt/

* Wed Dec 17 2014 doktor5000 <doktor5000> 0.8.0-0.20141024.3.mga5
+ Revision: 803678
- rebuild for QT 5.4 breakage

* Sat Oct 25 2014 doktor5000 <doktor5000> 0.8.0-0.20141024.2.mga5
+ Revision: 793199
+ rebuild (emptylog)

* Fri Oct 24 2014 doktor5000 <doktor5000> 0.8.0-0.20141024.1.mga5
+ Revision: 793067
- new snapshot 20141024
- correct license

* Wed Oct 15 2014 umeabot <umeabot> 0.7.0-0.20140525.3.mga5
+ Revision: 750945
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.7.0-0.20140525.2.mga5
+ Revision: 682080
- Mageia 5 Mass Rebuild

* Sat Jun 07 2014 doktor5000 <doktor5000> 0.7.0-0.20140525.1.mga5
+ Revision: 634499
- add BuildRequires on intltool
- imported package lxmenu-data


* Fri Dec 10 2010 Oden Eriksson <oeriksson@mandriva.com> 0.1.1-2mdv2011.0
+ Revision: 620282
- the mass rebuild of 2010.0 packages

* Thu Oct 01 2009 Funda Wang <fwang@mandriva.org> 0.1.1-1mdv2010.0
+ Revision: 451942
- New version 0.1.1

* Mon Sep 14 2009 Thierry Vignaud <tv@mandriva.org> 0.1-2mdv2010.0
+ Revision: 439689
- rebuild

* Wed Dec 10 2008 Funda Wang <fwang@mandriva.org> 0.1-1mdv2009.1
+ Revision: 312481
- import lxmenu-data


